App\Entity\Prospect:
    type: entity
    table: prospect
    fields:
        id:
            id: true
            type: integer
            unsigned: false
            nullable: false
            generator:
                strategy: IDENTITY
        nom:
            type: string
            length: 255
            fixed: false
            nullable: false
        prenom:
            type: string
            length: 255
            fixed: false
            nullable: true
        cin:
            type: string
            length: 255
            fixed: false
            nullable: true
        entreprise:
            type: boolean
            nullable: true
        adresse:
            type: text
            nullable: true
        email:
            type: string
            length: 255
            fixed: false
            nullable: true
        telephone:
            type: string
            length: 255
            fixed: false
            nullable: true
        fax:
            type: string
            length: 255
            fixed: false
            nullable: true
        patente:
            type: string
            length: 255
            fixed: false
            nullable: true
        ice:
            type: string
            length: 255
            fixed: false
            nullable: true
        photo:
            type: string
            length: 255
            fixed: false
            nullable: true
        icon:
            type: string
            length: 255
            fixed: false
            nullable: true
        lat:
            type: string
            length: 255
            fixed: false
            nullable: true
        lng:
            type: string
            length: 255
            fixed: false
            nullable: true
        zoom:
            type: string
            length: 255
            fixed: false
            nullable: true
        dateInscription:
            type: datetime
            nullable: true
        motscles:
            type: text
            nullable: true
    manyToOne:
        magasin:
            targetEntity: Magasin
            cascade: {  }
            mappedBy: null
            inversedBy: prospects
            joinColumns:
                magasin_id:
                    referencedColumnName: id
            orphanRemoval: false
        utilisateur:
            targetEntity: Utilisateur
            cascade: {  }
            mappedBy: null
            inversedBy: prospects
            joinColumns:
                utilisateur_id:
                    referencedColumnName: id
            orphanRemoval: false
    oneToMany:
        evenements:
            targetEntity: ProspectEvenement
            mappedBy: prospect
            orderBy:
              dateEvenement: DESC